Bug 1427833 (CVE-2017-6414) - CVE-2017-6414 Qemu: libcacard: host memory leakage while creating new APDU
Summary: CVE-2017-6414 Qemu: libcacard: host memory leakage while creating new APDU
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-6414
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1427834 1476037 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1425098 1476084
TreeView+ depends on / blocked
 
Reported: 2017-03-01 11:05 UTC by Prasad J Pandit
Modified: 2019-09-29 14:07 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:08:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2017-03-01 11:05:34 UTC
The CAC(Common Access Card) library, used by Quick Emulator(Qemu) to implement
smartcard support, is vulnerable to a host memory leakage issue. It could occur
while allocating a new APDU object using guest supplied raw byte stream in
'vcard_apdu_new'.

A guest user/process could use this flaw to leak host memory resulting in DoS.

Upstream patch:
---------------
  -> https://cgit.freedesktop.org/spice/libcacard/commit/?id=9113dc6a303604a2d9812ac70c17d076ef11886c

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/03/01/11

Comment 1 Prasad J Pandit 2017-03-01 11:05:39 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-03-01 11:06:37 UTC
Created libcacard tracking bugs for this issue:

Affects: fedora-all [bug 1427834]

Comment 3 Garth Mollett 2017-07-27 22:16:07 UTC
Created libcacard tracking bugs for this issue:

Affects: fedora-all [bug 1476037]

Comment 5 errata-xmlrpc 2017-08-02 01:00:10 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408


Note You need to log in before you can comment on or make changes to this bug.